# Copyright (c) 2018-2019 VMware, Inc.  All Rights Reserved.
# SPDX-License-Identifier: MIT

# DO NOT MODIFY. THIS CODE IS GENERATED. CHANGES WILL BE OVERWRITTEN.

# vcenter - VMware vCenter Server provides a centralized platform for managing your VMware vSphere environments


require 'spec_helper'
require 'json'

# Unit tests for VSphereAutomation::VCenter::VchaClusterApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'VchaClusterApi' do
  before do
    # run before each test
    @instance = VSphereAutomation::VCenter::VchaClusterApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of VchaClusterApi' do
    it 'should create an instance of VchaClusterApi' do
      expect(@instance).to be_instance_of(VSphereAutomation::VCenter::VchaClusterApi)
    end
  end

  # unit tests for deploytask
  # Prepares, clones, and configures a VCHA cluster.
  # @param request_body 
  # @param [Hash] opts the optional parameters
  # @return [VcenterVchaClusterDeployTaskResult]
  describe 'deploytask test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for failovertask
  # Initiates failover from the active vCenter node to the passive node.   For forced failover, Active node immediately initiates a failover. This may result into a data loss after failover.    For planned failover, Active node flushes all the state to the Passive node, waits for the flush to complete before causing a failover. After the failover, Passive node starts without any data loss.    A failover is allowed only in the following cases:      1.  Cluster&#39;s mode is enabled and all cluster members are present.    2.  Cluster&#39;s mode is maintenance and all cluster members are present. 
  # @param request_body 
  # @param [Hash] opts the optional parameters
  # @return [VcenterVchaClusterFailoverTaskResult]
  describe 'failovertask test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get
  # Retrieves the status of a VCHA cluster.
  # @param [Hash] opts the optional parameters
  # @option opts [VcenterVchaClusterGet] :request_body 
  # @return [VcenterVchaClusterResult]
  describe 'get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for undeploytask
  # Destroys the VCHA cluster and removes all VCHA specific information from the VCVA appliance. Optionally, the passive and witness node virtual machines will be deleted only if VCHA was deployed using automatic deployment. The active node in the cluster continues to run as a standalone VCVA appliance after the destroy operation has been performed.   If the VCHA cluster is in a transition state and not configured, then the VCHA cluster specific information is removed. 
  # @param request_body 
  # @param [Hash] opts the optional parameters
  # @return [VcenterVchaClusterUndeployTaskResult]
  describe 'undeploytask test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
